Bug 1048637 - (CVE-2014-0028) CVE-2014-0028 libvirt: event registration bypasses domain:getattr ACL
CVE-2014-0028 libvirt: event registration bypasses domain:getattr ACL
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140115,repor...
: Security
Depends On: 1047964 1054203
Blocks: 1048642
  Show dependency treegraph
 
Reported: 2014-01-05 20:26 EST by Murray McAllister
Modified: 2015-01-21 10:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 10:36:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-01-05 20:26:00 EST
Eric Blake from Red Hat reports that ever since libvirt 1.1.1 added ACL domain:getattr filtering for commands like virConnectListAllDomains, we have had a latent problem that the use of virConnectDomainEventRegister() and virConnectDomainEventRegisterAny() can be used to learn about virDomainPtr objects that should have been inaccessible to the user. It is not a problem if you are not using ACLs; also, it is partially mitigated by the fact that any domain that does not trigger an event in the timeframe where the attacker maintains their event callback will not be leaked.

Once an attacker has learned about a domain by bypassing domain:getattr, they could perform other actions on the domain if there were not ACLs to filter those actions too, such as starting and stopping the domain.
Comment 1 Murray McAllister 2014-01-06 21:26:45 EST
Acknowledgements:

This issue was discovered by Eric Blake of the Red Hat libvirt team.
Comment 2 Petr Matousek 2014-01-16 07:51:11 EST
Statement:

Not vulnerable.

This issue did not affect the libvirt packages as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 3 Petr Matousek 2014-01-16 07:52:29 EST
Upstream patch:

  https://www.redhat.com/archives/libvir-list/2014-January/msg00684.html
Comment 4 Petr Matousek 2014-01-16 07:53:47 EST
Created libvirt tracking bugs for this issue:

Affects: fedora-20 [bug 1054203]

Note You need to log in before you can comment on or make changes to this bug.